aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/ci/load_images.sh60
-rw-r--r--tests/opnfv/test_cases/opnfv_yardstick_tc002.yaml3
-rw-r--r--tests/opnfv/test_cases/ping_lxd_test.yaml44
-rw-r--r--tests/opnfv/test_suites/opnfv_os-nosdn-lxd-ha_daily.yaml9
-rw-r--r--tests/opnfv/test_suites/opnfv_os-nosdn-lxd-noha_daily.yaml6
5 files changed, 53 insertions, 69 deletions
diff --git a/tests/ci/load_images.sh b/tests/ci/load_images.sh
index fd14ab631..8c7caf4d9 100755
--- a/tests/ci/load_images.sh
+++ b/tests/ci/load_images.sh
@@ -25,14 +25,26 @@ build_yardstick_image()
echo
echo "========== Build yardstick cloud image =========="
- local cmd="sudo $(which yardstick-img-modify) $(pwd)/tools/ubuntu-server-cloudimg-modify.sh"
+ if [ "$DEPLOY_SCENARIO" == *"-lxd-"* ]; then
+ local cmd="sudo $(which yardstick-img-lxd-modify) $(pwd)/tools/ubuntu-server-cloudimg-modify.sh"
- # Build the image. Retry once if the build fails.
- $cmd || $cmd
+ # Build the image. Retry once if the build fails
+ $cmd || $cmd
- if [ ! -f $QCOW_IMAGE ]; then
- echo "Failed building QCOW image"
- exit 1
+ if [ ! -f $RAW_IMAGE ]; then
+ echo "Failed building RAW image"
+ exit 1
+ fi
+ else
+ local cmd="sudo $(which yardstick-img-modify) $(pwd)/tools/ubuntu-server-cloudimg-modify.sh"
+
+ # Build the image. Retry once if the build fails
+ $cmd || $cmd
+
+ if [ ! -f $QCOW_IMAGE ]; then
+ echo "Failed building QCOW image"
+ exit 1
+ fi
fi
}
@@ -76,12 +88,21 @@ load_yardstick_image()
EXTRA_PARAMS=$EXTRA_PARAMS" --property hw_mem_page_size=large"
fi
- output=$(eval glance --os-image-api-version 1 image-create \
- --name yardstick-trusty-server \
- --is-public true --disk-format $DISK_FORMAT \
- --container-format bare \
- $EXTRA_PARAMS \
- --file $QCOW_IMAGE)
+ if [ "$DEPLOY_SCENARIO" == *"-lxd-"* ]; then
+ output=$(eval glance --os-image-api-version 1 image-create \
+ --name yardstick-trusty-server \
+ --is-public true --disk-format root-tar \
+ --container-format bare \
+ $EXTRA_PARAMS \
+ --file $RAW_IMAGE)
+ else
+ output=$(eval glance --os-image-api-version 1 image-create \
+ --name yardstick-trusty-server \
+ --is-public true --disk-format qcow2 \
+ --container-format bare \
+ $EXTRA_PARAMS \
+ --file $QCOW_IMAGE)
+ fi
echo "$output"
@@ -92,7 +113,11 @@ load_yardstick_image()
exit 1
fi
- sudo rm -f $QCOW_IMAGE
+ if [ "$DEPLOY_SCENARIO" == *"-lxd-"* ]; then
+ sudo rm -f $RAW_IMAGE
+ else
+ sudo rm -f $QCOW_IMAGE
+ fi
echo "Glance image id: $GLANCE_IMAGE_ID"
}
@@ -112,7 +137,7 @@ load_cirros_image()
output=$(glance image-create \
--name cirros-0.3.3 \
- --disk-format $DISK_FORMAT \
+ --disk-format qcow2 \
--container-format bare \
$EXTRA_PARAMS \
--file $image_file)
@@ -179,12 +204,7 @@ create_nova_flavor()
main()
{
QCOW_IMAGE="/tmp/workspace/yardstick/yardstick-trusty-server.img"
-
- if [ "$DEPLOY_SCENARIO" == "os-nosdn-lxd-ha" -o "$DEPLOY_SCENARIO" == "os-nosdn-lxd-noha" ]; then
- DISK_FORMAT="raw"
- else
- DISK_FORMAT="qcow2"
- fi
+ RAW_IMAGE="/tmp/workspace/yardstick/yardstick-trusty-server.tar.gz"
build_yardstick_image
load_yardstick_image
diff --git a/tests/opnfv/test_cases/opnfv_yardstick_tc002.yaml b/tests/opnfv/test_cases/opnfv_yardstick_tc002.yaml
index 93d6ac018..3c7b988c0 100644
--- a/tests/opnfv/test_cases/opnfv_yardstick_tc002.yaml
+++ b/tests/opnfv/test_cases/opnfv_yardstick_tc002.yaml
@@ -2,6 +2,7 @@
# measure network latency using ping
schema: "yardstick:task:0.1"
+{% set image = image or "cirros-0.3.3" %}
scenarios:
{% for i in range(2) %}
-
@@ -23,7 +24,7 @@ scenarios:
context:
name: demo
- image: cirros-0.3.3
+ image: {{image}}
flavor: yardstick-flavor
user: cirros
diff --git a/tests/opnfv/test_cases/ping_lxd_test.yaml b/tests/opnfv/test_cases/ping_lxd_test.yaml
deleted file mode 100644
index d20035690..000000000
--- a/tests/opnfv/test_cases/ping_lxd_test.yaml
+++ /dev/null
@@ -1,44 +0,0 @@
----
-# measure network latency using ping
-# this tc is dedicated for os-nosdn-lxd scenario
-
-schema: "yardstick:task:0.1"
-scenarios:
-{% for i in range(2) %}
--
- type: Ping
- options:
- packetsize: 100
- host: athena.demo
- target: ares.demo
-
- runner:
- type: Duration
- duration: 60
- interval: 10
-
- sla:
- max_rtt: 10
- action: monitor
-{% endfor %}
-
-context:
- name: demo
- image: Cirros LXC 0.3
- flavor: yardstick-flavor
- user: cirros
-
- placement_groups:
- pgrp1:
- policy: "availability"
-
- servers:
- athena:
- floating_ip: true
- placement: "pgrp1"
- ares:
- placement: "pgrp1"
-
- networks:
- test:
- cidr: '10.0.1.0/24'
diff --git a/tests/opnfv/test_suites/opnfv_os-nosdn-lxd-ha_daily.yaml b/tests/opnfv/test_suites/opnfv_os-nosdn-lxd-ha_daily.yaml
index 730284b9f..01591b9d2 100644
--- a/tests/opnfv/test_suites/opnfv_os-nosdn-lxd-ha_daily.yaml
+++ b/tests/opnfv/test_suites/opnfv_os-nosdn-lxd-ha_daily.yaml
@@ -7,12 +7,13 @@ name: "os-nosdn-lxd-ha"
test_cases_dir: "tests/opnfv/test_cases/"
test_cases:
-
- file_name: ping_lxd_test.yaml
+ file_name: opnfv_yardstick_tc002.yaml
constraint:
installer: joid
- pod: intel-pod5
--
- file_name: opnfv_yardstick_tc002.yaml
+ pod: intel-pod5,intel-pod6
+ task_args:
+ intel-pod5: '{"image": "Cirros LXC 0.3"}'
+ intel-pod6: '{"image": "Cirros LXC 0.3"}'
-
file_name: opnfv_yardstick_tc005.yaml
-
diff --git a/tests/opnfv/test_suites/opnfv_os-nosdn-lxd-noha_daily.yaml b/tests/opnfv/test_suites/opnfv_os-nosdn-lxd-noha_daily.yaml
index ac8535e81..e1f945b9c 100644
--- a/tests/opnfv/test_suites/opnfv_os-nosdn-lxd-noha_daily.yaml
+++ b/tests/opnfv/test_suites/opnfv_os-nosdn-lxd-noha_daily.yaml
@@ -8,6 +8,12 @@ test_cases_dir: "tests/opnfv/test_cases/"
test_cases:
-
file_name: opnfv_yardstick_tc002.yaml
+ constraint:
+ installer: joid
+ pod: intel-pod5,intel-pod6
+ task_args:
+ intel-pod5: '{"image": "Cirros LXC 0.3"}'
+ intel-pod6: '{"image": "Cirros LXC 0.3"}'
-
file_name: opnfv_yardstick_tc005.yaml
-